<?php

namespace Schaffen\Fiscal\FiscalDocument\Models;

use Illuminate\Database\Eloquent\Model;

class TelecomServiceFiscalNoteItem extends Model
{

    protected $useValidateRules = true;
    protected $rules = [
        'nfsti_fk_nfst_codigo' => 'integer',
        'nfsti_nro_ordem' => 'required|numeric',
        'nfsti_classificacao' => 'required|numeric',
        'nfsti_cod_referencia' => 'required',
        'nfsti_fk_cfop_codigo' => 'required|string|max:10',
        'nfsti_fk_pve_codigo' => 'required|integer',
        'nfsti_descricao' => 'required|string',
        'nfsti_unidade' => 'required|string|max:6',
        'nfsti_valor_unitario' => 'required|numeric',
        'nfsti_quantidade' => 'required|numeric',
        'nfsti_valor_total' => 'required|numeric',
        'nfsti_bc_icms' => 'required|numeric',
        'nfsti_aliquota_icms' => 'required|numeric',
        'nfsti_valor_icms' => 'required|numeric',
        'nfsti_aliquota_pis' => 'required|numeric',
        'nfsti_valor_pis' => 'required|numeric',
        'nfsti_aliquota_cofins' => 'required|numeric',
        'nfsti_valor_cofins' => 'required|numeric',
        'nfsti_op_isentas' => 'required|numeric',
        'nfsti_outros_valores' => 'required|numeric',
        'nfsti_total_com_tributacao' => 'required|numeric',
        'nfsti_tributado' => 'required|integer',
        'nfsti_usu_insert' => 'required|string|max:30',
        'nfsti_usu_update' => 'max:30',
    ];

    protected $validationMessages = [
        'nfsti_fk_nfst_codigo.required' => "O campo 'fk nfst codigo' é obrigatório.",
        'nfsti_fk_nfst_codigo.integer' => "O formato do campo 'fk nfst codigo' é inválido (informar número inteiro).",
        'nfsti_nro_ordem.required' => "O campo 'nro ordem' é obrigatório.",
        'nfsti_nro_ordem.numeric' => "O formato do campo 'nro ordem' é inválido (informar apenas números).",
        'nfsti_classificacao.required' => "O campo 'classificacao' é obrigatório.",
        'nfsti_classificacao.numeric' => "O formato do campo 'classificacao' é inválido (informar apenas números).",
        'nfsti_cod_referencia.required' => "O campo 'cod referencia' é obrigatório.",
        'nfsti_fk_cfop_codigo.required' => "O campo 'fk cfop codigo' é obrigatório.",
        'nfsti_fk_cfop_codigo.max' => "O campo 'fk cfop codigo' excede o tamanho máximo de 10 caracteres.",
        'nfsti_fk_pve_codigo.required' => "O campo 'fk pve codigo' é obrigatório.",
        'nfsti_fk_pve_codigo.integer' => "O formato do campo 'fk pve codigo' é inválido (informar número inteiro).",
        'nfsti_descricao.required' => "O campo 'descricao' é obrigatório.",
        'nfsti_unidade.required' => "O campo 'unidade' é obrigatório.",
        'nfsti_unidade.max' => "O campo 'unidade' excede o tamanho máximo de 6 caracteres.",
        'nfsti_valor_unitario.required' => "O campo 'valor unitario' é obrigatório.",
        'nfsti_valor_unitario.numeric' => "O formato do campo 'valor unitario' é inválido (informar apenas números).",
        'nfsti_quantidade.required' => "O campo 'quantidade' é obrigatório.",
        'nfsti_quantidade.numeric' => "O formato do campo 'quantidade' é inválido (informar apenas números).",
        'nfsti_valor_total.required' => "O campo 'valor total' é obrigatório.",
        'nfsti_valor_total.numeric' => "O formato do campo 'valor total' é inválido (informar apenas números).",
        'nfsti_bc_icms.required' => "O campo 'bc icms' é obrigatório.",
        'nfsti_bc_icms.numeric' => "O formato do campo 'bc icms' é inválido (informar apenas números).",
        'nfsti_aliquota_icms.required' => "O campo 'aliquota icms' é obrigatório.",
        'nfsti_aliquota_icms.numeric' => "O formato do campo 'aliquota icms' é inválido (informar apenas números).",
        'nfsti_valor_icms.required' => "O campo 'valor icms' é obrigatório.",
        'nfsti_valor_icms.numeric' => "O formato do campo 'valor icms' é inválido (informar apenas números).",
        'nfsti_aliquota_pis.required' => "O campo 'aliquota pis' é obrigatório.",
        'nfsti_aliquota_pis.numeric' => "O formato do campo 'aliquota pis' é inválido (informar apenas números).",
        'nfsti_valor_pis.required' => "O campo 'valor pis' é obrigatório.",
        'nfsti_valor_pis.numeric' => "O formato do campo 'valor pis' é inválido (informar apenas números).",
        'nfsti_aliquota_cofins.required' => "O campo 'aliquota cofins' é obrigatório.",
        'nfsti_aliquota_cofins.numeric' => "O formato do campo 'aliquota cofins' é inválido (informar apenas números).",
        'nfsti_valor_cofins.required' => "O campo 'valor cofins' é obrigatório.",
        'nfsti_valor_cofins.numeric' => "O formato do campo 'valor cofins' é inválido (informar apenas números).",
        'nfsti_op_isentas.required' => "O campo 'op isentas' é obrigatório.",
        'nfsti_op_isentas.numeric' => "O formato do campo 'op isentas' é inválido (informar apenas números).",
        'nfsti_outros_valores.required' => "O campo 'outros valores' é obrigatório.",
        'nfsti_outros_valores.numeric' => "O formato do campo 'outros valores' é inválido (informar apenas números).",
        'nfsti_total_com_tributacao.required' => "O campo 'total com tributacao' é obrigatório.",
        'nfsti_total_com_tributacao.numeric' => "O formato do campo 'total com tributacao' é inválido (informar apenas números).",
        'nfsti_tributado.required' => "O campo 'tributado' é obrigatório.",
        'nfsti_tributado.integer' => "O formato do campo 'tributado' é inválido (informar número inteiro).",
        'nfsti_usu_insert.required' => "O campo 'usu insert' é obrigatório.",
        'nfsti_usu_insert.max' => "O campo 'usu insert' excede o tamanho máximo de 30 caracteres.",
        'nfsti_usu_update.max' => "O campo 'usu update' excede o tamanho máximo de 30 caracteres.",
    ];

    protected $table = "fiscal.nota_fiscal_servico_telecom_item";
    protected $primaryKey = "nfsti_codigo";
    protected $fillable = ["nfsti_fk_nfst_codigo","nfsti_nro_ordem","nfsti_classificacao","nfsti_cod_referencia",
    "nfsti_fk_cfop_codigo","nfsti_fk_pve_codigo","nfsti_descricao","nfsti_unidade","nfsti_valor_unitario",
    "nfsti_quantidade","nfsti_valor_total","nfsti_bc_icms","nfsti_aliquota_icms","nfsti_valor_icms","nfsti_aliquota_pis",
    "nfsti_valor_pis","nfsti_aliquota_cofins","nfsti_valor_cofins", "nfsti_op_isentas", "nfsti_outros_valores",
    "nfsti_total_com_tributacao","nfsti_tributado","nfsti_usu_insert","nfsti_usu_update"];
    const CREATED_AT = "nfsti_date_insert";
    const CREATED_BY = "nfsti_user_insert";
    const UPDATED_AT = "nfsti_date_update";
    const UPDATED_BY = "nfsti_user_update";

}