<?php

namespace Schaffen\Fiscal\NfeDownloader\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Schaffen\Fiscal\NfeDownloader\Repositories\FileContentRepository;
use Schaffen\Fiscal\NfeDownloader\Repositories\FileRepository;
use Schaffen\Fiscal\NfeDownloader\Repositories\NFeRepository;
use Schaffen\Fiscal\NfeDownloader\Services\DanfeVisualizer;


class NFeManager extends ManipulationManager
{
    protected $validation = [
        self::CREATE => [],
        self::EDIT => []
    ];

    public function __construct(NFeRepository $repository)
    {
        $this->repository = $repository;
    }

    public function getNFeDanfe($id)
    {
        $danfeVisualizer = new DanfeVisualizer(new NFeRepository(), new FileContentRepository(), new FileRepository());

        return $danfeVisualizer->getDanfe($id);

    }


}